%define upstream_name webunit

Name:      python-%{upstream_name}
Version:   1.3.10
Release:   %mkrel 4
Summary:   Unittest Your Websites With Code That Acts Like a Web Browser
Group:     Development/Python
License:   BSD
URL:       http://mechanicalcat.net/tech/webunit/
Source0:   https://pypi.python.org/pypi/webunit/archive/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch

%description
Webunit is a framework for unit testing websites.

%package -n     python3-%{upstream_name}
Summary:        Unittest Your Websites With Code That Acts Like a Web Browser
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Webunit is a framework for unit testing websites.

%prep
%setup -q -n %{upstream_name}-%{version}
chmod 644 *.txt
2to3 -w .

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/demo

%files -n python3-%{upstream_name}
%doc CHANGES.txt README.txt
%{python3_sitelib}/webunit
%{python3_sitelib}/webunit-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.3.10-4.mga8
+ Revision: 1608328
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.3.10-3.mga8
+ Revision: 1534947
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.3.10-2.mga8
+ Revision: 1450329
- autoconvert to py3 (needed for funkload)

* Fri Sep 21 2018 umeabot <umeabot> 1.3.10-2.mga7
+ Revision: 1290565
- Mageia 7 Mass Rebuild

* Wed Jan 17 2018 guillomovitch <guillomovitch> 1.3.10-1.mga7
+ Revision: 1194241
- imported package python-webunit

